This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 990929 - "rpm --query ${PACKAGE_NAME}" gives "package is not installed" (but is, in fact, installed)
"rpm --query ${PACKAGE_NAME}" gives "package is not installed" (but is, in fa...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 04:44 EDT by David Tonhofer
Modified: 2013-08-01 06:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:01:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2013-08-01 04:44:07 EDT
Description of problem:
=======================

-> This is either a problem with yum or rpm or an RPM fusion package. Not sure.
   It could also be some feature that I don't understand.

-> Note that this happens on Fedora 17, but I can no longer assign the bug it to that version. 

-> This occurs only for "kmod-nvidia" packages from RPM fusion; I checked with the names of all the other packages on the system, no problem. 

So:
---

The "kmod-nvidia-3.8.13-100.fc17.x86_64" package is used to install nvidia-specific drivers (used to run CUDA programs).

This package is installed.

But querying the rpm database with the package name fails:

$ rpm --query kmod-nvidia-3.8.13-100.fc17.x86_64
package kmod-nvidia-3.8.13-100.fc17.x86_64 is not installed

Querying the rpm with a composite name 
${NAME}-${VERSION}-${RELEASE}-${ARCHITECTURE}
succeeds:

$ rpm --query --info kmod-nvidia-3.8.13-100.fc17.x86_64-304.88-1.fc17.7.x86_64
Name        : kmod-nvidia-3.8.13-100.fc17.x86_64
Epoch       : 1
Version     : 304.88
Release     : 1.fc17.7
Architecture: x86_64
Install Date: Wed 29 May 2013 01:11:40 PM CEST
Group       : System Environment/Kernel
Size        : 15197944
License     : Redistributable, no modification permitted
Signature   : RSA/SHA256, Sun 19 May 2013 04:42:37 PM CEST, Key ID 0dd634bdd2382b83
Source RPM  : nvidia-kmod-304.88-1.fc17.7.src.rpm
Build Date  : Sun 19 May 2013 03:01:25 PM CEST
Build Host  : builder1.ovh.rpmfusion.lan
Relocations : (not relocatable)
Packager    : <http://nonfree.rpmfusion.org/>
Vendor      : RPM Fusion
URL         : http://www.nvidia.com/
Summary     : nvidia kernel module(s) for 3.8.13-100.fc17.x86_64
Description :
This package provides the nvidia kernel modules built for the Linux
kernel 3.8.13-100.fc17.x86_64 for the x86_64 family of processors.


...Why is this the only package that cannot be retrieved by name?


Version-Release
---------------

yum-3.4.3-31.fc17.noarch
rpm-4.9.1.3-8.fc17.x86_64
Comment 1 David Tonhofer 2013-08-01 04:57:08 EDT
Another kmod-nvidia package which is retrieved by rpm only with the different string: 

${NAME}-${VERSION}-${RELEASE}

  $ rpm --query --info kmod-nvidia-304xx-3.9.8-100.fc17.x86_64-304.88-1.fc17.5

or

${NAME}-${VERSION}

  $ rpm --query --info kmod-nvidia-304xx-3.9.8-100.fc17.x86_64-304.88

but not 

${NAME}

  $ rpm --query kmod-nvidia-304xx-3.9.8-100.fc17.x86_64
  package kmod-nvidia-304xx-3.9.8-100.fc17.x86_64 is not installed


$ rpm --query --info kmod-nvidia-304xx-3.9.8-100.fc17.x86_64-304.88-1.fc17.5
Name        : kmod-nvidia-304xx-3.9.8-100.fc17.x86_64
Version     : 304.88
Release     : 1.fc17.5
Architecture: x86_64
Install Date: Tue 02 Jul 2013 01:54:42 AM CEST
Group       : System Environment/Kernel
Size        : 15198888
License     : Redistributable, no modification permitted
Signature   : RSA/SHA256, Sat 29 Jun 2013 12:38:52 AM CEST, Key ID 0dd634bdd2382b83
Source RPM  : nvidia-304xx-kmod-304.88-1.fc17.5.src.rpm
Build Date  : Fri 28 Jun 2013 07:59:18 PM CEST
Build Host  : builder1.ovh.rpmfusion.lan
Relocations : (not relocatable)
Packager    : <http://nonfree.rpmfusion.org/>
Vendor      : RPM Fusion
URL         : http://www.nvidia.com/
Summary     : nvidia-304xx kernel module(s) for 3.9.8-100.fc17.x86_64
Description :
This package provides the nvidia-304xx kernel modules built for the Linux
kernel 3.9.8-100.fc17.x86_64 for the x86_64 family of processors.
Comment 2 Panu Matilainen 2013-08-01 06:01:10 EDT
You can no longer file bugs against F17 because that release just went EOL. Please avoid blindly filing bugs against different version from where an issue is occurring - this issue has been fixed as of Fedora >= 19 (and thus rawhide also) already:

http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=fddfee17c3c4e19269665800d557d3452cbde162, in particular:

- Also fixes various pathological cases:
  - If a legal arch was part of name, version or release (stupid but legal)
    we misinterpreted it for arch and failed to find the package.
Comment 3 David Tonhofer 2013-08-01 06:04:21 EDT
Yeah, sorry about that but the update cycle is just too fast. Just starting to get used to F18 on my lappy. 

But it's good to hear it's been fixed already.
Comment 4 Panu Matilainen 2013-08-01 06:14:53 EDT
Sure, setting up a test-environment to test for a single bug can be a bit much, no harm done. At least you were explicit about the version, kudos for that.
I've seen bugs on RHEL-5 rpm filed as fedora/rawhide without any mention of the actual versions, which is not nice at all...

Note You need to log in before you can comment on or make changes to this bug.